Subject: Re: bug#33312: Guix: many tests fail when building on 0.15

From: swedebugia <[email-masked]>
Date: Thu, 8 Nov 2018 11:41:52 +0100

On 2018-11-08 11:07, swedebugia wrote:
> Hi
>
> I want to contribute to guix with patches and at the same time keep my 
> GuixSD on 0.15.
>
> To archive this I created and followed the following guide in GuixSD 
> in Qemu:
>
> https://gitlab.com/swedebugia/guix-notes/blob/master/BUILD.org
>
> Following it Guix 21335fdbec68b4cfb19d8a0ae0877ec81c84ad9c builds fine.
>
> BUT
>
> running make check I got a lot of failed tests and no testlog:
>
> make  check-recursive
> make[1]: Entering directory '/home/sdb/guix-tree'
> Making check in po/guix
> make[2]: Entering directory '/home/sdb/guix-tree/po/guix'
> make[2]: Leaving directory '/home/sdb/guix-tree/po/guix'
> Making check in po/packages
> make[2]: Entering directory '/home/sdb/guix-tree/po/packages'
> make[2]: Leaving directory '/home/sdb/guix-tree/po/packages'
> make[2]: Entering directory '/home/sdb/guix-tree'
> Compiling Scheme modules...
> make  check-TESTS check-local
> make[3]: Entering directory '/home/sdb/guix-tree'
> make[4]: Entering directory '/home/sdb/guix-tree'
> PASS: tests/base16.scm
> SKIP: tests/base32.scm
> PASS: tests/base64.scm
> SKIP: tests/cpio.scm
> PASS: tests/pki.scm
> PASS: tests/print.scm
> PASS: tests/sets.scm
> PASS: tests/modules.scm
> PASS: tests/gnu-maintenance.scm
> PASS: tests/substitute.scm
> FAIL: tests/builders.scm
> FAIL: tests/derivations.scm
> PASS: tests/glob.scm
> FAIL: tests/grafts.scm
> FAIL: tests/ui.scm
> PASS: tests/status.scm
> PASS: tests/records.scm
> FAIL: tests/processes.scm
> PASS: tests/upstream.scm
> PASS: tests/combinators.scm
> PASS: tests/discovery.scm
> PASS: tests/utils.scm
> PASS: tests/build-utils.scm
> FAIL: tests/packages.scm
> SKIP: tests/snix.scm
> FAIL: tests/hackage.scm
> FAIL: tests/cran.scm
> FAIL: tests/elpa.scm
> FAIL: tests/texlive.scm
> FAIL: tests/store.scm
> FAIL: tests/monads.scm
> make[4]: Leaving directory '/home/sdb/guix-tree'
> make[3]: Leaving directory '/home/sdb/guix-tree'
> make[2]: Leaving directory '/home/sdb/guix-tree'
> make[1]: Leaving directory '/home/sdb/guix-tree'
>
Dependencies:

$ guile --version |head -1 && guix --version|head -1 && gcc 
--version|head -1 && echo -n "libgcrypt " && libgcrypt-config --version 
&& make --version|head -1
guile (GNU Guile) 2.2.4
guix (GNU Guix) 1f44934fb6e2cefccbecd4fa347025349fa9ff76
gcc (GCC) 8.1.0
libgcrypt 1.8.2
GNU Make 4.2.1

-- 
Cheers
Swedebugia